PMDASUMMARY(1)

NAME
pmdasummary - summary performance metrics domain agent (PMDA)

SYNOPSIS
$PCP_PMDAS_DIR/summary/pmdasummary [-d domain] [-h helpfile] [-l logfile] [-U username] pmie-command-line

DESCRIPTION
pmdasummary is a Performance Metrics Domain Agent (PMDA) which derives performance metrics values from values made available by other PMDAs. pmdasummary consists of two processes:

pmie process
    The inference engine for performance values pmie(1) is used to periodically sample values for the base metrics and compute the derived values. This process is launched with the given pmie-command-line arguments by the main process, described below.

main process
    The main process reads and buffers the values computed by pmie(1) and makes them available to the performance metrics collector daemon pmcd(1).

A brief description of the pmdasummary command line options follows:

-d  It is absolutely crucial that the performance metrics domain number specified here is unique and consistent. That is, domain should be different for every PMDA on the one host, and the same domain number should be used for the same PMDA on all hosts.

-h  This option specifies an alternative help text file helpfile for describing the metrics that pmdasummary represents.

-l  Location of the log file. By default, a log file named summary.log is written in the current directory of pmcd(1) when pmdasummary is started, i.e. $PCP_LOG_DIR/pmcd. If the log file cannot be created or is not writable, output is written to the standard error instead.

-U  User account under which to run the agent. The default is the unprivileged "pcp" account in current versions of PCP, but in older versions the superuser account ("root") was used by default.

INSTALLATION
If you want access to the names, help text and values for the summary performance metrics, do the following as root:

# cd $PCP_PMDAS_DIR/summary
# ./Install

If you want to undo the installation, do the following as root:

# cd $PCP_PMDAS_DIR/summary
# ./Remove

pmdasummary is launched by pmcd(1) and should never be executed directly. The Install and Remove scripts notify pmcd(1) when the agent is installed or removed.

FILES
$PCP_PMCDCONF_PATH
    command line options used to launch pmdasummary
$PCP_PMDAS_DIR/summary/expr.pmie
    default pmie(1) expressions defining the summary metrics
$PCP_PMDAS_DIR/summary/help
    default help text for the summary metrics
$PCP_PMDAS_DIR/summary/Install
    installation script for the pmdasummary agent
$PCP_PMDAS_DIR/summary/Remove
    undo installation script for the pmdasummary agent
$PCP_LOG_DIR/pmcd/summary.log
    default log file for error messages and other information from pmdasummary

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

SEE ALSO
pmcd(1) and pmie(1).